<?php
/*
Plugin Name: Gixaw Chat
Plugin URI: http://www.gixawchat.com/
Description: Embed Gixaw Chat on your blog.
Version: 1.0
*/


// Adding Gixaw Asset Files (JS + CSS)

add_action('init', gixaw_chat_assets);

function gixaw_chat_assets() {
	if (function_exists('wp_enqueue_script')) {
			wp_enqueue_script('gixaw_jquery_script', get_bloginfo('wpurl') . '/wp-content/plugins/gixaw-chat/js/jquery.js');
			wp_enqueue_script('gixaw_jquery_thickbox', get_bloginfo('wpurl') . '/wp-content/plugins/gixaw-chat/js/thickbox.js');
			wp_enqueue_script('gixaw_chat_script', get_bloginfo('wpurl') . '/wp-content/plugins/gixaw-chat/js/gixaw-chat.js');
	}
	
	if (function_exists('wp_enqueue_style')) {
			wp_enqueue_style('gixaw_chat_thickbox', get_bloginfo('wpurl') . '/wp-content/plugins/gixaw-chat/css/thickbox.css');
			wp_enqueue_style('gixaw_chat_style', get_bloginfo('wpurl') . '/wp-content/plugins/gixaw-chat/css/gixaw-chat.css');
	}
}


// Registering The Widget

function widget_gixawchat_register() {
      function widget_gixawchat($args) {
          extract($args);
      ?>
              <?php echo $before_widget; ?>
              		<center>
                  <?php if (get_option('gixaw_chat_subdomain')) { ?>
                  	<a href="http://<?php echo get_option('gixaw_chat_subdomain'); ?>.gixawchat.com?TB_iframe=true&height=500&width=700" title="<?php echo get_option('gixaw_chat_name') ? get_option('gixaw_chat_name') : get_option('blogname'); ?>" class="thickbox"><img id="gixaw-chat-image" src="<?php echo get_bloginfo('wpurl'); ?>/wp-content/plugins/gixaw-chat/img/chatnow.png" /></a>
                  <?php } else { ?>
                  	<a style="cursor: pointer;" onClick="alert('Please complete the configuration from the wordpress admin panel.');"><img id="gixaw-chat-image" src="<?php echo get_bloginfo('wpurl'); ?>/wp-content/plugins/gixaw-chat/img/chatnow.png" /></a>
                  <?php } ?>
              		</center>
              <?php echo $after_widget; ?>
      <?php
      }

  register_sidebar_widget('Gixaw Chat','widget_gixawchat');
}
add_action('init', widget_gixawchat_register);

// Adding Admin Menu

add_action('admin_menu', 'gixaw_chat_menu');

function gixaw_chat_menu() {
  add_menu_page('Gixaw Chat', 'Gixaw Chat', 10, __FILE__);
  
  if (get_option('gixaw_chat_setup_complete')) {
    add_submenu_page(__FILE__, 'Gixaw Chat Options', 'Options', 10, __FILE__, 'gixaw_chat_options');
  }
  else {
	add_submenu_page(__FILE__, 'Gixaw Chat Setup', 'Setup', 10, __FILE__, 'gixaw_chat_setup');
  }
}

function gixaw_chat_options() {
  /*
  $user = wp_get_current_user();
  echo '<div class="wrap">';
  echo '<div class="icon32" id="icon-options-general"><br/></div>';
  echo '<h2>Gixaw Chat Options</h2>';
  echo '</div>';
  print_r($user);
  var_dump($user->user_firstname);
  var_dump($user->user_lastname);
  var_dump($user->user_email);
  */
 
  /*
  wp_insert_post(array(
    'post_status' => 'publish',
	'post_type' => 'page',
	'post_name' => 'Chat',
	'post_title' => 'Chat',
	'post_content' => '<iframe src="http://chat.localhost/" width="100%" height="400"></iframe>',
  ));
  */
?>
<div class="wrap">
<div class="icon32" id="icon-options-general"><br/></div>
<h2>Gixaw Chat Options</h2>
<form method="post" action="<?php echo attribute_escape("$link?page=akismet-admin"); ?>" id="akismetsearch">
<p><label for="akismet-title"><?php _e('Title:'); ?> <input style="width: 250px;" id="akismet-title" name="akismet-title" type="text" value="<?php echo $title; ?>" /></label></p>

<p>  <input type="text" name="s" value="<?php if (isset($_POST['s'])) echo attribute_escape($_POST['s']); ?>" size="17" />
  <input type="submit" class="button" name="submit" value="<?php echo attribute_escape(__('Search Spam &raquo;')) ?>"  />  </p>
</form>
</div>
<?php  
}

function gixaw_chat_setup() {
				
	if (!get_option('gixaw_chat_subdomain')) { update_option("gixaw_chat_subdomain", "demo"); };
	
	if ($_POST['action']) {
		if ($_POST['chat-name']) { 
			update_option("gixaw_chat_name", $_POST['chat-name']);
		} else {
			update_option("gixaw_chat_name", "");
		}
		
		if ($_POST['chat-subdomain']) { 
			update_option("gixaw_chat_subdomain", $_POST['chat-subdomain']);
		} else {
			update_option("gixaw_chat_subdomain", "");
		}
	}
	
?>
<div class="wrap">
<div class="icon32" id="icon-options-general"><br/></div>
<h2>Gixaw Chat Options</h2>

<div class="greenBox">
	<strong>Getting Started</strong>
  <ol>
  	<li>Visit <a href="http://www.gixawchat.com/" target="_blank">http://www.gixawchat.com/</a> and signup for a chat site. It takes less than 30 seconds!</li>
    <li>In the chat-subdomain field below, enter your new chat site address. It should be http://<span style="font-weight: bold; font-style: italic;">anything</span>.gixawchat.com/</li>
    <li>In your WordPress admin panel, go to Appearance > Widgets and add the Gixaw Chat Widget to your side bar.</li>
    <li>Yipeee! Your chat is ready and working on your blog. Happy Chatting!</li>
  </ol>
  <br />
 	<div style="font-size: 12px;"><strong>Member Integration</strong><br />
  You can also integrate your wordpress users with the chat, so they are automatically logged into the chat with their wordpress usernames. Please <a href="http://support.gixaw.com/gixaw-chat/integrating-with-wordpress/" target="_blank">click here</a> for more details.
  </div>
</div>

<form method="post" action="">
<table class="form-table">
<tr valign="top">
  <th scope="row"><label for="chat-name">Chat Name</label></th>
  <td><input type="text" class="regular-text" value="<?php echo get_option('gixaw_chat_name') ? get_option('gixaw_chat_name') : get_option('blogname') ; ?>" id="chat-name" name="chat-name"/>
			<br /><span class="setting-description">This is the name that appears on your chat box.</span></td>
</tr>
<tr valign="top">
  <th scope="row"><label for="chat-subdomain">Chat Sub-Domain</label></th>
  <td><strong>http://</strong><input type="text" class="regular-text" style="width: 150px;" value="<?php echo get_option('gixaw_chat_subdomain') ; ?>" id="chat-subdomain" name="chat-subdomain"/><strong>.gixawchat.com</strong>
	<br /><span class="setting-description">This is the direct link to your chat. If you don't have one, please visit <a href="http://www.gixawchat.com/" target="_blank">http://www.gixawchat.com/</a> and signup for free.</span></td>
</tr>
</table>

<p class="submit">
	<input type="hidden" name="action" value="update" />
	<input type="submit" class="button-primary" value="<?php _e('Save Changes') ?>" />
</p>
</form>
</div>
<?php  
}
?>